Bug 1537314 - (CVE-2018-1054) CVE-2018-1054 389-ds-base: remote Denial of Service (DoS) via search filters in SetUnicodeStringFromUTF_8 in collate.c
CVE-2018-1054 389-ds-base: remote Denial of Service (DoS) via search filters ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20180305,repo...
: Security
Depends On: 1540105 1540106 1543798 1543799 1551515 1555168
Blocks: 1537315
  Show dependency treegraph
 
Reported: 2018-01-22 17:28 EST by Laura Pardo
Modified: 2018-03-14 01:11 EDT (History)
9 users (show)

See Also:
Fixed In Version: 389-ds-base 1.3.6.14, 389-ds-base 1.3.7.10, 389-ds-base 1.4.0.6
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds memory read flaw was found in the way 389-ds-base handled certain LDAP search filters. A remote, unauthenticated attacker could potentially use this flaw to make ns-slapd crash via a specially crafted LDAP request, thus resulting in denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-14 01:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for CVE-2018-1054 (2.72 KB, patch)
2018-03-05 22:47 EST, Dhiru Kholia
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0414 normal SHIPPED_LIVE Important: 389-ds-base security and bug fix update 2018-03-06 21:46:53 EST
Red Hat Product Errata RHSA-2018:0515 normal SHIPPED_LIVE Important: 389-ds-base security update 2018-03-13 18:36:35 EDT

  None (edit)
Description Laura Pardo 2018-01-22 17:28:49 EST
A flaw was found in 389 Directory Server, affecting all versions including upstream 1.4.x. An improper handling of the search feature with an extended filter, when read access on <attribute_name> is enabled, in SetUnicodeStringFromUTF_8 function in collate.c, can lead to out-of-bounds memory operations. This may allow a remote unauthenticated attacker to trigger a server crash, thus resulting in denial of service.

External References:

https://pagure.io/389-ds-base/issue/49545

Upstream Patch:

https://pagure.io/389-ds-base/c/14ce2fe0dfa67405dae
Comment 6 Dhiru Kholia 2018-03-05 05:21:54 EST
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1551515]
Comment 9 Dhiru Kholia 2018-03-05 22:47 EST
Created attachment 1404619 [details]
Patch for CVE-2018-1054

Patch for CVE-2018-1054 attached.
Comment 11 errata-xmlrpc 2018-03-06 16:43:17 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0414 https://access.redhat.com/errata/RHSA-2018:0414
Comment 13 errata-xmlrpc 2018-03-13 14:26:26 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:0515 https://access.redhat.com/errata/RHSA-2018:0515

Note You need to log in before you can comment on or make changes to this bug.